'use strict';
define([
  'angular',
  'widgets/mapapp/config/directives/configwidget',
  'widgets/mapapp/config/directives/configcmd',
  'angular-strap',
  'angular-strap.tpl',

  'angular-route',

  'toastr',
  'ol3js',
  'ng-table',
], function(angular, configwidget, configcmd) {
  // generation du module
  var config = angular.module('gc_config', [
    'mgcrea.ngStrap',
    'ngRoute',
    'pascalprecht.translate',
  ]);
  // ajout service

  // ajout controller

  // ajout directive
  // modelwidget.directive('gcmodelwidgetdir',gc_scalelinedirectives);
  config.directive('configwidget', configwidget);
  config.directive('configcmd', configcmd);

  // ajout factory

  //route provider

  return config;
});
